# ldo.c File Reference

`#include <setjmp.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "lua.h"`
`#include "ldebug.h"`
`#include "ldo.h"`
`#include "lfunc.h"`
`#include "lgc.h"`
`#include "lmem.h"`
`#include "lobject.h"`
`#include "lopcodes.h"`
`#include "lparser.h"`
`#include "lstate.h"`
`#include "lstring.h"`
`#include "ltable.h"`
`#include "ltm.h"`
`#include "lundump.h"`
`#include "lvm.h"`
`#include "lzio.h"`

## Classes
struct | lua_longjmp
struct | SParser
## Defines
#define | ldo_c
#define | LUA_CORE
#define | inc_ci(L)
## Functions
void | luaD_seterrorobj (lua_State *L, int errcode, StkId oldtop)
static void | restore_stack_limit (lua_State *L)
static void | resetstack (lua_State *L, int status)
void | luaD_throw (lua_State *L, int errcode)
int | luaD_rawrunprotected (lua_State *L, Pfunc f, void *ud)
static void | correctstack (lua_State *L, TValue *oldstack)
void | luaD_reallocstack (lua_State *L, int newsize)
void | luaD_reallocCI (lua_State *L, int newsize)
void | luaD_growstack (lua_State *L, int n)
static CallInfo * | growCI (lua_State *L)
void | luaD_callhook (lua_State *L, int event, int line)
static StkId | adjust_varargs (lua_State *L, Proto *p, int actual)
static StkId | tryfuncTM (lua_State *L, StkId func)
int | luaD_precall (lua_State *L, StkId func, int nresults)
static StkId | callrethooks (lua_State *L, StkId firstResult)
int | luaD_poscall (lua_State *L, StkId firstResult)
void | luaD_call (lua_State *L, StkId func, int nResults)
static void | resume (lua_State *L, void *ud)
static int | resume_error (lua_State *L, const char *msg)
LUA_API int | lua_resume (lua_State *L, int nargs)
LUA_API int | lua_yield (lua_State *L, int nresults)
int | luaD_pcall (lua_State *L, Pfunc func, void *u, ptrdiff_t old_top, ptrdiff_t ef)
static void | f_parser (lua_State *L, void *ud)
int | luaD_protectedparser (lua_State *L, ZIO *z, const char *name)

## Define Documentation

#define inc_ci | ( | L |  | ) |

Value:

    ((L->ci == L->end_ci) ? growCI(L) : \
       (condhardstacktests(luaD_reallocCI(L, L->size_ci)), ++L->ci))

#define ldo_c

#define LUA_CORE

## Function Documentation

static StkId adjust_varargs | ( | lua_State * | L,
|  | Proto * | p,
|  | int | actual |
| ) |  |  | `[static]`

static StkId callrethooks | ( | lua_State * | L,
|  | StkId | firstResult |
| ) |  |  | `[static]`

static void correctstack | ( | lua_State * | L,
|  | TValue * | oldstack |
| ) |  |  | `[static]`

static void f_parser | ( | lua_State * | L,
|  | void * | ud |
| ) |  |  | `[static]`

static CallInfo* growCI | ( | lua_State * | L | ) | `[static]`

LUA_API int lua_resume | ( | lua_State * | L,
|  | int | nargs |
| ) |  |  |

LUA_API int lua_yield | ( | lua_State * | L,
|  | int | nresults |
| ) |  |  |

void luaD_call | ( | lua_State * | L,
|  | StkId | func,
|  | int | nResults |
| ) |  |  |

void luaD_callhook | ( | lua_State * | L,
|  | int | event,
|  | int | line |
| ) |  |  |

void luaD_growstack | ( | lua_State * | L,
|  | int | n |
| ) |  |  |

int luaD_pcall | ( | lua_State * | L,
|  | Pfunc | func,
|  | void * | u,
|  | ptrdiff_t | old_top,
|  | ptrdiff_t | ef |
| ) |  |  |

int luaD_poscall | ( | lua_State * | L,
|  | StkId | firstResult |
| ) |  |  |

int luaD_precall | ( | lua_State * | L,
|  | StkId | func,
|  | int | nresults |
| ) |  |  |

int luaD_protectedparser | ( | lua_State * | L,
|  | ZIO * | z,
|  | const char * | name |
| ) |  |  |

int luaD_rawrunprotected | ( | lua_State * | L,
|  | Pfunc | f,
|  | void * | ud |
| ) |  |  |

void luaD_reallocCI | ( | lua_State * | L,
|  | int | newsize |
| ) |  |  |

void luaD_reallocstack | ( | lua_State * | L,
|  | int | newsize |
| ) |  |  |

void luaD_seterrorobj | ( | lua_State * | L,
|  | int | errcode,
|  | StkId | oldtop |
| ) |  |  |

void luaD_throw | ( | lua_State * | L,
|  | int | errcode |
| ) |  |  |

static void resetstack | ( | lua_State * | L,
|  | int | status |
| ) |  |  | `[static]`

static void restore_stack_limit | ( | lua_State * | L | ) | `[static]`

static void resume | ( | lua_State * | L,
|  | void * | ud |
| ) |  |  | `[static]`

static int resume_error | ( | lua_State * | L,
|  | const char * | msg |
| ) |  |  | `[static]`

static StkId tryfuncTM | ( | lua_State * | L,
|  | StkId | func |
| ) |  |  | `[static]`